Subject: Re: linux-next: no tree for Sept 6

From: Mauro Carvalho Chehab <[email-masked]>
Date: Wed, 07 Sep 2011 11:08:53 -0300

Em 06-09-2011 15:30, Arnaud Lacombe escreveu:
> Hi,
> 
> On Tue, Sep 6, 2011 at 2:18 PM, Josh Boyer <[email-masked]> wrote:
>> On Tue, Sep 6, 2011 at 1:29 PM, Arnaud Lacombe <[email-masked]> wrote:
>>> Hi,
>>>
>>> On Tue, Sep 6, 2011 at 1:23 PM, Josh Boyer <[email-masked]> wrote:
>>>> On Tue, Sep 6, 2011 at 1:17 PM, Arnaud Lacombe <[email-masked]> wrote:
>>>>> Hi,
>>>>>
>>>>> On Tue, Sep 6, 2011 at 2:40 AM, Stephen Rothwell <[email-masked]> wrote:
>>>>>> Hi all,
>>>>>>
>>>>>> With master.kernel.org down, there is not much change from yesterday and
>>>>>> I cannot publish the resulting linux-next tree anyway, so there is no
>>>>>> tree today.
>>>>>>
>>>>> What about github ? gitorious ?
>>>>>
>>>>> If you fork linus' tree on github, you should still be within the disk
>>>>> usage limit. My linux-2.6-next.git bare tree mirror is about 303MB.
>>>>
>>>> Well... that would be helpful if all of the trees that linux-next
>>>> pulls from are hosted somewhere other than kernel.org as well.  A lot
>>>> of them are not, which means you would get an incomplete linux-next
>>>> tree at best.  Probably better to just wait.
>>>>
>>> That's just insane...
>>
>> It's insane for people to host their git trees for kernel work on kernel.org?
>>
> Yes. It is looking for trouble by creating a wonderful single point of
> failure. Which happened to have failed.

It seems that we need a backup plan. In my case, I could put the tree
for -next at infradead or at linuxtv, but that means to re-configure
everything at Stephen's side.

Does anyone have an ETA for hera to come back to live? If they're
planning to recover it into one or two days, then it is probably better
to wait. Otherwise, I think it would be wiser to move the repo to
some other place while they're preparing a new infrastructure.

> If I were to be really paranoid, I would no longer trust any code on
> git.kernel.org unless all the current repository were to be destroyed,
> and re-uploaded by their owner.

In any case, I'll just do a push -f after hera return, and do a 
git repack -A -d on my repository there, to remove any bad object
that might be inserted by someone's else.

> 
>  - Arnaud
> 
>>> git is distributed, but still used centrally. Kernel development
>>> should just not be impacted by such issues.
>>
>> No... git is still used in a distributed fashion.  It's just that most
>> maintainers host the public trees that people pull from on kernel.org.
>>  Some have pushed public trees to github or elsewhere, but not all of
>> them.
>>
>> josh
>>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-next" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html